## ndiswrapper-modules-i386 1.1-2sarge2

=== Makefile ===
#!/usr/bin/make -f

HEADERS ?= 2.4.27-1-386

all:
	tar jxf /usr/src/ndiswrapper-source.tar.bz2
	cp debian/changelog modules/ndiswrapper/debian
	cp debian/copyright modules/ndiswrapper/debian
	sed -i 's/^Source:.*$$/Source: ndiswrapper-modules-i386/' \
		modules/ndiswrapper/debian/control.modules.in
	cd modules/ndiswrapper && for h in $(HEADERS); do \
		fakeroot debian/rules binary-modules \
			KSRC=/usr/src/kernel-headers-$$h DEB_DESTDIR=../..; \
	done

clean:
	rm -rf modules kernel-headers-* *.deb

## ndiswrapper-modules-i386 1.1-2

=== debian/changelog ===
ndiswrapper-modules-i386 (1.1-2) unstable; urgency=low

  * Re-build against updated ndiswrapper-source, and add a versioned
    build-dep.

 -- Andres Salomon <dilinger@debian.org>  Mon, 11 Apr 2005 09:23:32 -0400

ndiswrapper-modules-i386 (1.1-1) unstable; urgency=low

  * Initial release.

 -- Andres Salomon <dilinger@debian.org>  Fri, 08 Apr 2005 15:51:40 -0400

=== debian/control ===
Source: ndiswrapper-modules-i386
Section: net
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper (>> 4.1.0), cdbs, fakeroot, ndiswrapper-source (>= 1.1-3), kernel-headers-2.6.8-2-386, kernel-headers-2.6.8-2-686, kernel-headers-2.6.8-2-686-smp, kernel-headers-2.6.8-2-k7, kernel-headers-2.6.8-2-k7-smp
Standards-Version: 3.6.1

Package: ndiswrapper-modules-2.6.8-2-386
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-2-686
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-2-686-smp
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-2-k7
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-2-k7-smp
Architecture: i386
Description: Ndiswrapper linux kernel module

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

HEADERS += $(shell echo 2.6.8-2-{386,686,k7,{686,k7}-smp})

DEB_MAKE_ENVVARS += HEADERS="$(HEADERS)"
DEB_MAKE_INVOKE := $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)

$(patsubst %,binary/ndiswrapper-modules-%,$(HEADERS))::
	dpkg-distaddfile $(wildcard $(patsubst binary/%,%,$@)_*.deb) net optional
	mv $(wildcard $(patsubst binary/%,%,$@)_*.deb) ..

## ndiswrapper-modules-i386 1.1-2sarge2

=== debian/changelog ===
ndiswrapper-modules-i386 (1.1-2sarge2) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Rebuild for -4 ABI

 -- dann frazier <dannf@debian.org>  Wed, 27 Jun 2007 04:00:09 -0600

ndiswrapper-modules-i386 (1.1-2sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Rebuild for -3 ABI

 -- dann frazier <dannf@debian.org>  Thu, 23 Feb 2006 23:58:22 -0700

=== debian/control ===
Source: ndiswrapper-modules-i386
Section: net
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper (>> 4.1.0), cdbs, fakeroot, ndiswrapper-source (>= 1.1-3), kernel-headers-2.6.8-4-386, kernel-headers-2.6.8-4-686, kernel-headers-2.6.8-4-686-smp, kernel-headers-2.6.8-4-k7, kernel-headers-2.6.8-4-k7-smp
Standards-Version: 3.6.1

Package: ndiswrapper-modules-2.6.8-4-386
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-4-686
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-4-686-smp
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-4-k7
Architecture: i386
Description: Ndiswrapper linux kernel module

Package: ndiswrapper-modules-2.6.8-4-k7-smp
Architecture: i386
Description: Ndiswrapper linux kernel module

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
-HEADERS += $(shell echo 2.6.8-2-{386,686,k7,{686,k7}-smp})
+HEADERS += $(shell echo 2.6.8-4-{386,686,k7,{686,k7}-smp})
 
 DEB_MAKE_ENVVARS += HEADERS="$(HEADERS)"
 DEB_MAKE_INVOKE := $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)
